Loading...
Searching...
No Matches
XrdOucFIHash Class Reference
Collaboration diagram for XrdOucFIHash:

## Public Member Functions

| XrdOucFIHash (const char *hn, const char *hv, XrdOucFIHash *np=0)
| ~XrdOucFIHash ()
const char * | XrdhName ()

## Public Attributes

char * | hName
char * | hValue
XrdOucFIHash * | next

## Detailed Description

Definition at line 39 of file XrdOucFileInfo.cc.

## Constructor & Destructor Documentation

## XrdOucFIHash()

XrdOucFIHash::XrdOucFIHash | ( | const char * | hn,
|  | const char * | hv,
|  | XrdOucFIHash * | np = 0 )

inline

Definition at line 48 of file XrdOucFileInfo.cc.

: hName(strdup(hn)), hValue(strdup(hv)), next(np) {}
XrdOucFIHash::hName
char * hName
Definition XrdOucFileInfo.cc:42
XrdOucFIHash::hValue
char * hValue
Definition XrdOucFileInfo.cc:43
XrdOucFIHash::next
XrdOucFIHash * next
Definition XrdOucFileInfo.cc:44

References XrdOucFIHash(), hName, hValue, and next.

Referenced by XrdOucFIHash().

Here is the call graph for this function:
Here is the caller graph for this function:

## ~XrdOucFIHash()

XrdOucFIHash::~XrdOucFIHash | ( |  | ) |

inline

Definition at line 51 of file XrdOucFileInfo.cc.

{if (hName) free(hName);
if (hValue) free(hValue);
}

References hName, and hValue.

## Member Function Documentation

## XrdhName()

const char * XrdOucFIHash::XrdhName | ( |  | ) |

Definition at line 56 of file XrdOucFileInfo.cc.

{
if (!strcmp(hName, "adler-32") || !strcmp(hName, "adler32")
|| !strcmp(hName, "adler")) return "a32";
return hName;
}

References hName.

## Member Data Documentation

## hName

char* XrdOucFIHash::hName

Definition at line 42 of file XrdOucFileInfo.cc.

Referenced by XrdOucFIHash(), ~XrdOucFIHash(), XrdOucFileInfo::GetDigest(), and XrdhName().

## hValue

char* XrdOucFIHash::hValue

Definition at line 43 of file XrdOucFileInfo.cc.

Referenced by XrdOucFIHash(), ~XrdOucFIHash(), and XrdOucFileInfo::GetDigest().

## next

XrdOucFIHash* XrdOucFIHash::next

Definition at line 44 of file XrdOucFileInfo.cc.

Referenced by XrdOucFIHash(), XrdOucFileInfo::~XrdOucFileInfo(), and XrdOucFileInfo::GetDigest().

The documentation for this class was generated from the following file:

- XrdOucFileInfo.cc